Bug 101055 - Names of bookmarks untranslated in bookmaks dialog
Summary: Names of bookmarks untranslated in bookmaks dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Gabor Kelemen (allotropia)
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-21 09:24 UTC by ribotb
Modified: 2017-04-26 09:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ribotb 2016-07-21 09:24:36 UTC
Hi,

In bookmarks dialog (menu Insert> Bookmak) the names of bookmarks ("bookmark 1", "bookmark 2", etc.) are untranslated in french UI (perhaps also in others UI).
The names 
Expected : "Repère 1", "Repère 2", etc.

Bernard
Comment 1 Thomas Hackert 2016-07-25 14:45:28 UTC
Hello ribotb, *,
I can confirm this bug with
OS: Debian Testing AMD64
LO: Version: 5.2.0.3
Build-ID: 7dbd85f5a18cfeaf6801c594fc43a5edadc2df0c
CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8)
(parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux with de_DE lang- as well as helppack) ... :( In

LO: Version: 5.1.5.1
Build-ID: 1:5.1.5~rc1-1
CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: GL; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
(Debian's own version)

you are able to name your bookmarks yourself, so the problem does not exist there. In 5.2.0.3 you are not able to rename it ... :(
As I can confirm it, I will set the status to "New".
HTH
Thomas.
Comment 2 ribotb 2016-07-26 07:04:50 UTC
Hi,

I can rename bookmarks with LO 5.2.0.3 (Win7/x86).

But I note a new problem (I had not noted that with LO 5.2.0.2) : a click on 'Insert' button close the bookmark dialog !

Bernard
Comment 3 ribotb 2016-07-26 14:28:53 UTC
(In reply to ribotb from comment #2)
> 
> I can rename bookmarks with LO 5.2.0.3 (Win7/x86).
> 
in a new document, not in an existing document.

Bernard
Comment 4 Buovjaga 2016-07-28 09:11:32 UTC
(In reply to ribotb from comment #2)
> But I note a new problem (I had not noted that with LO 5.2.0.2) : a click on
> 'Insert' button close the bookmark dialog !

Hmm.. why do you say it is a problem and new? :) In 5.1.4, the dialog is different, it has an OK button and it also closes on clicking OK..
Comment 5 ribotb 2016-07-28 21:34:37 UTC
Yes, in 4.1.4 I type a bookmark name and I press OK :dialog box closes.

In 5.2.0,  in the new dialog box I type a bookmark name, then I press Insert: dialog box closes. I thought the dialog box remained open and closed by pressing Close button.I am wrong?

Bernard
Comment 6 Commit Notification 2017-04-25 20:32:13 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c67a0d0f7ddd8ababa3197d86998979c1ce725d0

tdf#101055 Translate default name of bookmarks

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.